Preference Centers
Create preference center
Creates a new preference center.
curl -X POST "https://api.neostra.io/api/v1/preference-center/create" \
-H "Content-Type: application/json" \
-d '{
"name": "Cookie Preferences",
"description": "example_string",
"tenantId": "example_string",
"config": {}
}'
import requests
import json
url = "https://api.neostra.io/api/v1/preference-center/create"
headers = {
"Content-Type": "application/json"
}
data = {
"name": "Cookie Preferences",
"description": "example_string",
"tenantId": "example_string",
"config": {}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.neostra.io/api/v1/preference-center/create", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "Cookie Preferences",
"description": "example_string",
"tenantId": "example_string",
"config": {}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Cookie Preferences",
"description": "example_string",
"tenantId": "example_string",
"config": {}
}`)
req, err := http.NewRequest("POST", "https://api.neostra.io/api/v1/preference-center/create", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.neostra.io/api/v1/preference-center/create')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"name": "Cookie Preferences",
"description": "example_string",
"tenantId": "example_string",
"config": {}
}'
response = http.request(request)
puts response.body
{
"status": 200,
"message": "Success",
"data": {},
"errors": [
"example_string"
]
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
POST
/api/v1/preference-center/create
POST
Content-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
Name of the preference center
descriptionstring
Description of the preference center
tenantIdstring
Associated tenant identifier
configobject
Preference center configuration
Request Preview
Response
Response will appear here after sending the request
Body
application/json
namestring
Name of the preference center
descriptionstring
Description of the preference center
tenantIdstring
Associated tenant identifier
configobject
Preference center configuration
Responses
Was this page helpful?
Last updated 1 week ago
Built with Documentation.AI